
QGIS Application - Bug report #15643

Print composer: qgis crashes while changing colour

2016-09-30 03:49 AM - Filipe Dias

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master_2 Regression?: No

Operating System: Ubuntu 16.04 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 23566

Description

Load the attached shapefile

Change style from "single symbol" to "categorized", select "select2" in "column"

Click Ok

Go back to style, double click on the symbol with value 0 and change "fill" to "Outline - simple line"

Then double click on the symbol with value 1, click on colour and on the colour ramp tab click somewhere in the "reds" zone.

QGIS crashes with this message. This does not happen in QGIS 2.16.3.

src/core/qgsmaprendererparalleljob.cpp: 88: (start) [0ms] QThreadPool max thread count is 8

src/core/qgsmaprendererparalleljob.cpp: 243: (renderLayerStatic) [0ms] [thread:0x7fbe5400a220] job 55785455e330 start (layer

grid20160930114247733)

src/core/qgsmaprendererparalleljob.cpp: 265: (renderLayerStatic) [7ms] [thread:0x7fbe5400a220] job 55785455e330 end [7 ms] (layer

grid20160930114247733)

src/core/qgsmaprendererjob.cpp: 328: (cleanupJobs) [2ms] caching image for grid20160930114247733

src/core/qgsmaprendererparalleljob.cpp: 204: (renderLayersFinished) [0ms] PARALLEL layers finished

src/core/qgsmaprenderercustompainterjob.cpp: 295: (drawLabeling) [0ms] [thread:0x7fbe5400b850] Draw labeling start

src/core/qgsvectorlayer.cpp: 320: (drawLabels) [0ms] [thread:0x7fbe5400b850] Starting draw of labels: grid20160930114247733

src/core/qgsmaprenderercustompainterjob.cpp: 323: (drawLabeling) [0ms] [thread:0x7fbe5400b850] Draw labeling took (seconds): 0

src/core/qgsmaprendererparalleljob.cpp: 224: (renderingFinished) [0ms] PARALLEL finished

src/gui/qgsmapcanvas.cpp: 752: (rendererJobFinished) [0ms] CANVAS finish! 1

src/core/qgsscalecalculator.cpp: 86: (calculate) [489ms] scale = 1.1434e+06 conversionFactor = 39.3701

src/core/qgsmapsettings.cpp: 219: (updateDerived) [0ms] Map units per pixel (x,y) : 156.21536163063026947, 302.5246768535585602

src/core/qgsmapsettings.cpp: 220: (updateDerived) [0ms] Pixmap dimensions (x,y) : 1013, 937

src/core/qgsmapsettings.cpp: 221: (updateDerived) [0ms] Extent dimensions (x,y) : 158246.16133182845078409,

283465.62221178435720503

src/core/qgsmapsettings.cpp: 222: (updateDerived) [0ms] -69433.3494964755082037,-288686.8605575928231701 :

88812.8118353529425804,-5221.2383458084659651

src/core/qgsmapsettings.cpp: 223: (updateDerived) [0ms] Adjusted map units per pixel (x,y) : 302.5246768535585602,

302.5246768535585602

src/core/qgsmapsettings.cpp: 224: (updateDerived) [0ms] Recalced pixmap dimensions (x,y) : 1013, 937

src/core/qgsmapsettings.cpp: 225: (updateDerived) [0ms] Scale (assuming meters as map units) = 1:1143400.35229600011371076

src/core/qgsmapsettings.cpp: 226: (updateDerived) [0ms] Rotation: 0 degrees

src/core/qgsmaprenderer.cpp: 210: (adjustExtentToSize) [0ms] Map units per pixel (x,y) : 311.84336876983979892,

302.5246768535585602

src/core/qgsmaprenderer.cpp: 211: (adjustExtentToSize) [0ms] Pixmap dimensions (x,y) : 1013, 937
src/core/qgsmaprenderer.cpp: 212: (adjustExtentToSize) [0ms] Extent dimensions (x,y) : 315897.33256384771084413,

283465.62221178435720503

src/core/qgsmaprenderer.cpp: 213: (adjustExtentToSize) [0ms] -148258.9351124851382338,-288686.8605575928231701 :

167638.3974513625726104,-5221.2383458084659651

src/core/qgsmaprenderer.cpp: 221: (adjustExtentToSize) [0ms] Adjusted map units per pixel (x,y) : 311.84336876983979892,

311.84336876983974207

src/core/qgsmaprenderer.cpp: 223: (adjustExtentToSize) [0ms] Recalced pixmap dimensions (x,y) : 1013, 936.99999999999988631

src/core/qgsscalecalculator.cpp: 129: (calculateGeographicDistance) [0ms] Distance across map extent (m): 6.2481e+09

src/core/qgsscalecalculator.cpp: 86: (calculate) [0ms] scale = 2.33118e+10 conversionFactor = 39.3701

src/core/qgsmaprenderer.cpp: 228: (adjustExtentToSize) [0ms] Scale (assuming meters as map units) =

1:23311801255.54954910278320312

src/core/qgsmaprenderer.cpp: 210: (adjustExtentToSize) [0ms] Map units per pixel (x,y) : 156.21536163063026947,

302.5246768535585602

src/core/qgsmaprenderer.cpp: 211: (adjustExtentToSize) [1ms] Pixmap dimensions (x,y) : 1013, 937

src/core/qgsmaprenderer.cpp: 212: (adjustExtentToSize) [0ms] Extent dimensions (x,y) : 158246.16133182845078409,

283465.62221178435720503

src/core/qgsmaprenderer.cpp: 213: (adjustExtentToSize) [0ms] -69433.3494964755082037,-288686.8605575928231701 :

88812.8118353529425804,-5221.2383458084659651

src/core/qgsmaprenderer.cpp: 221: (adjustExtentToSize) [0ms] Adjusted map units per pixel (x,y) : 302.5246768535585602,

302.5246768535585602

src/core/qgsmaprenderer.cpp: 223: (adjustExtentToSize) [0ms] Recalced pixmap dimensions (x,y) : 1013, 937

src/core/qgsscalecalculator.cpp: 129: (calculateGeographicDistance) [0ms] Distance across map extent (m): 6.06139e+09

src/core/qgsscalecalculator.cpp: 86: (calculate) [0ms] scale = 2.26152e+10 conversionFactor = 39.3701

src/core/qgsmaprenderer.cpp: 228: (adjustExtentToSize) [0ms] Scale (assuming meters as map units) =

1:22615183928.809539794921875

src/gui/qgsmapcanvasmap.cpp: 52: (paint) [10ms] map paint DIFFERENT SIZE: img 1013,909  item 1044,937

src/gui/qgsmapcanvasmap.cpp: 52: (paint) [20ms] map paint DIFFERENT SIZE: img 1013,909  item 1044,937

src/gui/qgsmapcanvas.cpp: 695: (refresh) [469ms] CANVAS refresh scheduling

src/gui/qgsmapcanvas.cpp: 705: (refreshMap) [1ms] CANVAS refresh!

src/core/qgsscalecalculator.cpp: 40: (setMapUnits) [1ms] Map units set to 2

src/core/qgsmaprendererjob.cpp: 182: (prepareJobs) [1ms] CACHE VALID: 0

src/core/qgsmaprendererjob.cpp: 192: (prepareJobs) [0ms] Rendering at layer item grid20160930114247733

src/core/qgsmaprendererjob.cpp: 208: (prepareJobs) [0ms] layer grid:  minscale:100000  maxscale:1e+08  scaledepvis:0  blendmode:0

src/core/symbology-ng/qgscategorizedsymbolrendererv2.cpp: 167: (QgsCategorizedSymbolRendererV2) [0ms] invalid symbol in a

category! ignoring...

src/core/symbology-ng/qgscategorizedsymbolrendererv2.cpp: 167: (QgsCategorizedSymbolRendererV2) [1ms] invalid symbol in a

category! ignoring...

src/core/symbology-ng/qgscategorizedsymbolrendererv2.cpp: 167: (QgsCategorizedSymbolRendererV2) [0ms] invalid symbol in a

category! ignoring...

src/core/qgsvectorlayerrenderer.cpp: 95: (QgsVectorLayerRenderer) [0ms] rendering v2:

  CATEGORIZED: idx select2

0::0::FILL SYMBOL (1 layers) color 0,0,0,255:1

1::1::FILL SYMBOL (1 layers) color 219,93,173,255:1

::::FILL SYMBOL (1 layers) color 135,200,23,255:1

src/core/qgsmaprendererparalleljob.cpp: 88: (start) [0ms] QThreadPool max thread count is 8

src/core/qgsmaprendererparalleljob.cpp: 243: (renderLayerStatic) [1ms] [thread:0x55784a0177c0] job 55785455e330 start (layer

grid20160930114247733)

src/core/qgsmaprendererparalleljob.cpp: 265: (renderLayerStatic) [14ms] [thread:0x55784a0177c0] job 55785455e330 end [14 ms]

(layer grid20160930114247733)

src/core/qgsmaprendererjob.cpp: 328: (cleanupJobs) [2ms] caching image for grid20160930114247733

src/core/qgsmaprendererparalleljob.cpp: 204: (renderLayersFinished) [1ms] PARALLEL layers finished

src/core/qgsmaprenderercustompainterjob.cpp: 295: (drawLabeling) [0ms] [thread:0x7fbe5400a8a0] Draw labeling start
src/core/qgsvectorlayer.cpp: 320: (drawLabels) [0ms] [thread:0x7fbe5400a8a0] Starting draw of labels: grid20160930114247733

src/core/qgsmaprenderercustompainterjob.cpp: 323: (drawLabeling) [0ms] [thread:0x7fbe5400a8a0] Draw labeling took (seconds): 0

src/core/qgsmaprendererparalleljob.cpp: 224: (renderingFinished) [0ms] PARALLEL finished

src/gui/qgsmapcanvas.cpp: 752: (rendererJobFinished) [0ms] CANVAS finish! 1

src/core/layertree/qgslayertreemodel.cpp: 1471: (invalidateLegendMapBasedData) [487ms] Entering.

src/core/layertree/qgslayertreemodel.cpp: 1471: (invalidateLegendMapBasedData) [0ms] Leaving.

Segmentation fault (core dumped)

History

#1 - 2016-09-30 01:39 PM - Nyall Dawson

- Status changed from Open to Feedback

Can you update your build and retest? This should have been fixed a day or so ago.

#2 - 2016-10-02 06:15 PM - Nyall Dawson

- Resolution set to duplicate

- Status changed from Feedback to Closed

Duplicate of #15634

#3 - 2016-10-03 01:26 AM - Filipe Dias

Fix confirmed, thanks

Files

bug.tar.gz 9.23 KB 2016-09-30 Filipe Dias
